Package org.eclipse.net4j.util.ui.chat

# Class ChatRenderer.BubbleGroup

java.lang.Object
org.eclipse.net4j.util.ui.chat.ChatRenderer.Renderable
org.eclipse.net4j.util.ui.chat.ChatRenderer.BubbleGroup

Enclosing class:
  ChatRenderer

public static final class ChatRenderer.BubbleGroup extends ChatRenderer.Renderable

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`ChatRenderer.Bubble`
`addBubble(LocalTime time, String text)`
`ChatMessage.Author`
`getAuthor()`
`LinkedList<ChatRenderer.Bubble>`
`getBubbles()`
`LocalTime`
`getFirstBubbleTime()`
`LocalTime`
`getLastBubbleTime()`
`boolean`
`isOwn()`
`protected void`
`renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAuthor

public ChatMessage.Author getAuthor()

### isOwn

public boolean isOwn()

### getBubbles

public LinkedList<ChatRenderer.Bubble> getBubbles()

### getFirstBubbleTime

public LocalTime getFirstBubbleTime()

### getLastBubbleTime

public LocalTime getLastBubbleTime()

### addBubble

public ChatRenderer.Bubble addBubble(LocalTime time, String text)

### renderHTML

protected void renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)

Specified by:
  `renderHTML` in class `ChatRenderer.Renderable`